package com.jianshui.web.controller.platform;

import com.alibaba.fastjson.JSONObject;
import com.jianshui.common.core.controller.BaseController;
import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.common.core.domain.entity.Companyservice;
import com.jianshui.common.enums.ErrorCode;
import com.jianshui.common.utils.StringUtils;
import com.jianshui.invoice.domain.dto.HXResponse;
import com.jianshui.invoice.service.IInvoiceApiService;
import com.jianshui.invoice.service.IInvoiceRequestService;
import com.jianshui.invoice.service.IInvoiceResponseService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * 发票录入
 * 
 */
@Api(tags={"单据录入"},value = "单据录入")
@RestController
@RequestMapping("/platForm/documentEntry/")
public class InvoiceAddController extends BaseController {


    @ApiOperation("单据保存")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "identity", value = "身份认证", dataType = "string", example = "1130", required = true),
            @ApiImplicitParam(name = "order", value = "请求体", required = true)})
    @PostMapping( "save")
    public AjaxResult invoiceStatistics(HttpServletRequest request, String identity) throws Exception {





        return AjaxResult.success("保存成功");

    }



//    《======================》










}
