package com.jianshui.income.domain.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * @Description 批量查验请求 VO
 * @Author 巩权林
 * @Date 2021-12-21 15:41
 **/

@Data
public class AisinoIncomeBatchDTO {

    // 税号
    String taxNo;

    // 批次号
    String pch;

    @JSONField(name = "invoiceList")
    List<AisinoIncomeDTO> invoiceList;

}
