package com.jianshui.income.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @ClassName IncomeStatusAcquisitionDTO
 * @Description W
 * @Author pc
 * @Date 2022-05-30 11:43
 **/
@Data
public class IncomeStatusAcquisitionDTO {

    private String GMFSBH; // 购方税号

    @NotEmpty(message = "批次号不能为空")
    private String PCH; // 批次号

    @NotEmpty(message = "发票采集时间不能为空")
    private String ZTBGKSRQ; // 发票采集 开始时间

    @NotEmpty(message = "发票采集时间不能为空")
    private String ZTBGJSRQ; // 发票采集 结束时间

    @NotEmpty(message = "开始行数不能为空")
    private String KSHS; // 开始行数 整数,第一次请求时为 1.(若本次返回行数小于总行数，需再次请求，开始行数为 本次返回行数+ 1.类似分页获取

    @NotEmpty(message = "状态标志不能为空")
    private String ZTBZ; // 状态标志 当给 1 时继续请求，0 时结束请求
}
