package com.jianshui.income.domain.dto.elephant;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

@ApiModel( description ="获取统计信息接口入参")
@Data
public class CountInfoDTO {


    @ApiModelProperty(value = "购方税号")
    @NotEmpty
    @Size(min = 0, max = 20, message = "购方税号长度不能超过20个字符")
    private String GMFSBH;

    @ApiModelProperty(value = "申请统计税款所属期")
    @NotEmpty
    @Size(min = 0, max = 10, message = "申请统计税款所属期长度不能超过10个字符")
    private String RZSKSSQ;



}
