package com.jianshui.income.domain.dto.elephant;

import lombok.Data;

import java.util.List;

/**
 * @Description 全票面采集发票返回dto，共有部分
 * @Author 巩权林
 * @Date 2022-05-25 16:53
 **/
@Data
public class GetInvoiceRespCommonCarDTO<T> {
    private String ZTDM; // 状态代码
    private String ZTXX; // 状态信息
    private String FPLXDM; // 发票类型代码 增值税专用发票：01增值税电子专用发票：08 电子发票（增值税专用发票）：31
    private int ZHS; // 总行数
    private int KSHS; // 开始行数
    private int BCQQFHHS; // 本次请求返回行数
    private List<GetInvoiceRespAuthCarDTO> FPZHXX; // 发票信息列表
}
