package com.jianshui.income.service;

import com.alibaba.fastjson.JSONObject;
import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.common.core.domain.entity.Companyservice;

/**
 * 发票查验抽象类
 */
public interface ICheckInvoice {

    /**
     * 单个查询
     *
     * @param companyservice
     * @param data
     * @return
     */
    public AjaxResult checkInvoiceSingle(Companyservice companyservice, JSONObject data);


    /**
     * 批量查询
     *
     * @param companyservice
     * @param data
     * @return
     */
    public AjaxResult checkInvoiceMultil(Companyservice companyservice, JSONObject data);

    /**
     * 批量查询结果
     *
     * @param companyservice
     * @param data
     * @return
     */
    public AjaxResult checkInvoiceMultilResult(Companyservice companyservice, JSONObject data);
}
