package com.jianshui.invoice.domain.vo.api.aisino.console;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * User: dongxiaoke
 * Date: 2023/2/28
 * Time: 16:42
 * Description: AisinoConsoleRedUploadVO
 */
@Data
public class AisinoConsoleRedUploadVO {

    @NotEmpty
    @ApiModelProperty(value = "24位申请单号")
    private String ReqBillNo;

    @NotEmpty
    @ApiModelProperty(value = "信息表编号")
    private String ResBillNo;

    @NotEmpty
    @ApiModelProperty(value = "异地代开")
    private String YDDK;

    @NotEmpty
    @ApiModelProperty(value = "代开比对标识")
    private String DKBDBS;

    @NotEmpty
    @ApiModelProperty(value = "信息表状态代码")
    private String StatusDM;

    @NotEmpty
    @ApiModelProperty(value = "信息表状态描述")
    private String StatusMC;

}
