package com.jianshui.invoice.service.yuande;


import com.alibaba.fastjson.JSONObject;
import com.jianshui.invoice.domain.yuande.CorpBody;

import java.util.List;

public interface IInvoiceFormService {
    /*/**
     * @Author 一十七画生
     * @Description
     * @Date  2023/4/6
     * @Param cropBody
     * @return 封装
     **/
    JSONObject getPushInfo(CorpBody corpBody);

    /*/**
     * @Author 一十七画生
     * @Description 将所需报文封装到list
     * @Date  2023/4/7
     * @Param CorpBody
     * @return
     **/
    List<JSONObject> getPushInfos(CorpBody corpBody);

    /*/**
     * @Author 一十七画生
     * @Description 分页查询开票信息表
     * @Date  2023/4/10
     * @Param 认证授权参数，分页大小
     * @return
     **/
    List<JSONObject> getPushInfo(CorpBody corpBody, int pageSize);
}
