package com.jianshui.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jianshui.system.domain.InvoiceAllApiLog;

/**
 * API调用记录-金四Mapper接口
 *
 * @author jianshui
 * @date 2022-12-13
 */
public interface InvoiceAllApiLogMapper extends BaseMapper<InvoiceAllApiLog>
{
    /**
     * 查询API调用记录-金四
     *
     * @param id API调用记录-金四主键
     * @return API调用记录-金四
     */
    public InvoiceAllApiLog selectInvoiceAllApiLogById(Long id);

    /**
     * 查询API调用记录-金四列表
     *
     * @param invoiceAllApiLog API调用记录-金四
     * @return API调用记录-金四集合
     */
    public List<InvoiceAllApiLog> selectInvoiceAllApiLogList(InvoiceAllApiLog invoiceAllApiLog);

    /**
     * 新增API调用记录-金四
     *
     * @param invoiceAllApiLog API调用记录-金四
     * @return 结果
     */
    public int insertInvoiceAllApiLog(InvoiceAllApiLog invoiceAllApiLog);

    /**
     * 修改API调用记录-金四
     *
     * @param invoiceAllApiLog API调用记录-金四
     * @return 结果
     */
    public int updateInvoiceAllApiLog(InvoiceAllApiLog invoiceAllApiLog);

    /**
     * 删除API调用记录-金四
     *
     * @param id API调用记录-金四主键
     * @return 结果
     */
    public int deleteInvoiceAllApiLogById(Long id);

    /**
     * 批量删除API调用记录-金四
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInvoiceAllApiLogByIds(Long[] ids);
}
