package com.jianshui.breaker.jianshuiy.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

/**
 * @Description
 * @Author 巩权林
 * @Date 2022/10/8 09:56
 **/
@Data
public class JianShuiLicenseDTO {
    @NotEmpty(message = "销方名称不能为空")
    private String sellerName;
    @NotEmpty(message = "销方税号不能为空")
    private String sellerTaxno;
    @NotEmpty(message = "结束日期不能为空")
    private Date endDate; // 过期时间
    @NotEmpty(message = "开票机号")
    private String machineNo; // 开票机号
}
