package com.jianshui.income.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

@ApiModel( description ="获取统计结果接口入参")
@Data
public class ApplyCountResultDTO {


    @ApiModelProperty(value = "批次号")
    @NotEmpty
    @Size(min = 0, max = 32, message = "批次号长度不能超过32个字符")
    private String PCH;

    @ApiModelProperty(value = "购方税号")
    @NotEmpty
    @Size(min = 0, max = 20, message = "购方税号长度不能超过20个字符")
    private String GMFSBH;


}
