package com.jianshui.invoiceall.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 查询红字信息表
 * @author dxk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllCxhzJsonDataDTO {

    @NotEmpty
    @ApiModelProperty(value = "申请来源")
    private String sqly;

    @NotEmpty
    @ApiModelProperty(value = "开票日期起")
    private String kprqq;

    @NotEmpty
    @ApiModelProperty(value = "开票日期止")
    private String kprqz;

    @NotEmpty
    @ApiModelProperty(value = "红字发票信息确认单id")
    private String hzfpxxqrdid;

    @NotEmpty
    @ApiModelProperty(value = "红字发票信息确认单编号")
    private String hzfpxxqrdbh;

    @NotEmpty
    @ApiModelProperty(value = "蓝字发票号码")
    private String lzfphm;

    @NotEmpty
    @ApiModelProperty(value = "每页条数")
    private String pageSize;

    @NotEmpty
    @ApiModelProperty(value = "页数")
    private String pageNumber;




}
