package com.jianshui.invoiceall.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 通用查询接口DTO
 *
 * @author kk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllFileAcquisitionDTO {



    @NotEmpty
    @ApiModelProperty(value = "true")
    private String async;

    @NotEmpty
    @ApiModelProperty(value = "办税人身份证号")
    private String bsrysfzjhm;

    @NotEmpty
    @ApiModelProperty(value = "*地区编码(参考码表)")
    private String dqbm;

    @NotEmpty
    @ApiModelProperty(value = "*纳税人识别号")
    private String nsrsbh;

    @NotEmpty
    @ApiModelProperty(value = "全电发票号码")
    private String fphm;

    @NotEmpty
    @ApiModelProperty(value = "开票日期,格式：yyyyMMddHHmmss\t")
    private String kprq;

}
