package com.jianshui.invoice.domain.dto.api.jcsk;

import cn.hutool.core.annotation.Alias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 查询红字信息表
 * @author dxk
 * @date 2022年12月09日 17:16
 */
@Data
public class CxhzJsonDataTwoDTO {

    @Alias("applyRemark")
    @NotEmpty
    @ApiModelProperty(value = "申请来源")
    private String sqly;

    @Alias("billTimeBegin")
    @NotEmpty
    @ApiModelProperty(value = "开票日期起")
    private String kprqq;

    @Alias("billTimeEnd")
    @NotEmpty
    @ApiModelProperty(value = "开票日期止")
    private String kprqz;

    @Alias("billNo")
    @ApiModelProperty(value = "红字发票信息确认单id")
    private String hzfpxxqrdid;

    @Alias("billInfoNo")
    @ApiModelProperty(value = "红字发票信息确认单编号")
    private String hzfpxxqrdbh;

    @Alias("originFphm")
    @ApiModelProperty(value = "蓝字发票号码")
    private String originFphm;

    @ApiModelProperty(value = "每页条数")
    private String pageSize;

    @ApiModelProperty(value = "页数")
    private String pageNumber;




}
