package com.jianshui.invoice.domain.dto.api.jcsk;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 获取发票打印xml
 */
@Data
public class PrintXMLTWODTO {

    @NotEmpty
    @ApiModelProperty(value = "true")
    private String async;

    @NotEmpty
    @ApiModelProperty(value = "办税人身份证号")
    private String bsrysfzjhm;

    @ApiModelProperty(value = "*地区编码(参考码表)")
    @NotEmpty
    private String  dqbm;

    @NotEmpty
    @ApiModelProperty(value = "纳税人识别号")
    private String nsrsbh;

    private PrintXMLJsonDataTWODTO jsonData;


}
