package com.jianshui.invoice.domain.vo.jcsk;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 申请红字信息表
 */
@Data
public class AddRedInfoInvoiceJsonDataTWOVO {

    
    @ApiModelProperty(value = "发票请求流水号")
    private String fpqqlsh;

    
    @ApiModelProperty(value = "全电发票号码")
    private String fphm;

    
    @ApiModelProperty(value = "购买方税号")
    private String gmfnsrsbh;

    
    @ApiModelProperty(value = "购买方名称")
    private String gmfmc;

    
    @ApiModelProperty(value = "开票日期")
    private String kprq;

    
    @ApiModelProperty(value = "销售方名称")
    private String xsfmc;

    
    @ApiModelProperty(value = "销售方税号")
    private String xsfnsrsbh;

    
    @ApiModelProperty(value = "全电纸票发票代码")
    private String zzfpdm;

    
    @ApiModelProperty(value = "全电纸票发票号码")
    private String zzfphm;

    
    @ApiModelProperty(value = "发票二维码下载地址")
    private String ewmUrl;

    
    @ApiModelProperty(value = "PDF下载地址")
    private String pdfUrl;

    
    @ApiModelProperty(value = "OFD下载地址")
    private String ofdUrl;

    
    @ApiModelProperty(value = "XML下载地址")
    private String xmlUrl;

    
    @ApiModelProperty(value = "异常信息")
    private String error;


}
