package com.jianshui.invoice.mapper.yuande;

import com.jianshui.invoice.domain.dto.yuande.YuandeInvoiceFormDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/*/**
 * @Author 一十七画生
 * @Description 查询远得系统数据库开票信息表
 * @Date  2023/4/6
 **/
public interface InvoiceFormMapper {

    /*/**
     * @Author 一十七画生
     * @Description 查询总数
     * @Date  2023/4/10
     * @return
     **/
    public long findTotal(@Param("date1") String date1,@Param("date2") String date2);

    /*/**
     * @Author 一十七画生
     * @Description
     * @Date  2023/4/6
     * @Param date1上一个日期，date2本次执行日期
     * @return 开票信息集合
     **/
    public List<YuandeInvoiceFormDTO> findInvoiceFormListWithInvoiceFromItem(@Param("date1") String date1, @Param("date2") String date2);
    
    /*/**
     * @Author 一十七画生
     * @Description
     * @Date  2023/4/6 
     * @Param date1上一个日期，date2本次执行日期
     * @return 开票信息集合
     **/
    public List<YuandeInvoiceFormDTO> findInvoiceFormList(@Param("date1") String date1, @Param("date2") String date2);

    /*/**
     * @Author 一十七画生
     * @Description
     * @Date  2023/4/6
     * @Param date1上一个日期，date2本次执行日期
     * @return 分页查询开票信息集合
     **/
    public List<YuandeInvoiceFormDTO> findInvoiceFormByPage(@Param("date1") String date1, @Param("date2") String date2, @Param("pageSize")int pageSize, @Param("currentPage")int currentPage);
}
